List all blog posts with filtering and pagination
curl --request GET \
--url https://api.engagefabric.com/superadmin/blog-postsimport requests
url = "https://api.engagefabric.com/superadmin/blog-posts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.engagefabric.com/superadmin/blog-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"tags": [
"<string>"
],
"featured": true,
"isPublished": true,
"postDate": "2023-11-07T05:31:56Z",
"mdxDraftStatus": true,
"lastSyncedAt": "2023-11-07T05:31:56Z",
"excerpt": "<string>",
"author": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}Super Admin
List all blog posts with filtering and pagination
GET
/
superadmin
/
blog-posts
List all blog posts with filtering and pagination
Query Parameters
Filter by publication status
Example:
true
Filter by featured status
Example:
false
Search by title or slug
Example:
"gamification"
Page number (1-based)
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Sort by field
Available options:
postDate, title, isPublished, lastModifiedAt Sort order
Available options:
asc, desc 